# Define _make_verbose if it doesn't exist (RHEL8)
%{!?_make_verbose:%define _make_verbose V=1 VERBOSE=1}

Name:           freenginx-mod-zstd
Version:        0.1.1
Release:        1%{?dist}
Summary:        freenginx zstd module
License:        BSD-2-Clause
URL:            https://github.com/tokers/zstd-nginx-module
Packager:       Teddysun <i@teddysun.com>
Source0:        https://github.com/tokers/zstd-nginx-module/archive/refs/tags/v%{version}.tar.gz#/zstd-nginx-module-%{version}.tar.gz
Patch0:         zstd-nginx-module~fix-infinite-loop.patch

BuildRequires:  gcc
BuildRequires:  freenginx-mod-devel

%description
Nginx modules for the Zstandard compression.

zstd-nginx-module is a set of two nginx modules:
ngx_http_zstd_filter_module - used to compress responses on-the-fly,
ngx_http_zstd_static_module - used to serve pre-compressed files.

%prep
%autosetup -p1 -n zstd-nginx-module-%{version}

%build
%freenginx_modconfigure
%freenginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{freenginx_moddir}
install -pm 0755 ngx_http_zstd_filter_module.so %{buildroot}%{freenginx_moddir}
install -pm 0755 ngx_http_zstd_static_module.so %{buildroot}%{freenginx_moddir}
popd

install -dm 0755 %{buildroot}%{freenginx_modconfdir}
echo 'load_module "%{freenginx_moddir}/ngx_http_zstd_filter_module.so";' \
    > %{buildroot}%{freenginx_modconfdir}/mod-zstd.conf
echo 'load_module "%{freenginx_moddir}/ngx_http_zstd_static_module.so";' \
    >> %{buildroot}%{freenginx_modconfdir}/mod-zstd.conf

%files
%license LICENSE
%doc README.md
%{freenginx_moddir}/ngx_http_zstd_filter_module.so
%{freenginx_moddir}/ngx_http_zstd_static_module.so
%{freenginx_modconfdir}/mod-zstd.conf

%changelog
* Mon Apr 07 2025 Teddysun <i@teddysun.com> - 1.0.0-1
- Initial packaging version 0.1.1 for freenginx 1.27.4
